//////////////////////////////////////////////////////////
//   This class has been automatically generated 
//     (Tue May 13 16:23:09 2003 by ROOT version3.05/05)
//   from TTree h201/event
//   found on file: emec_12369.root
//////////////////////////////////////////////////////////


#ifndef EmecEventNTup2002v0_h
#define EmecEventNTup2002v0_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <string>
#include <iostream>

using std::string;
using std::cout;
using std::endl;

/*! - Class EmecEventNTup2002v0
  * - Author: Ian Gable (igable@uvic.ca)
  * - Date:  05/27/2003
  * - Description: This class should not be used to acess the information contained in the event.
  *      Use the Event class instead.
  */

class EmecEventNTup2002v0 {
   public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain
//Declaration of leaves types
   UInt_t          evtno;
   UInt_t          trig[5];
   Int_t           nchan;
   Float_t         signal[1152];   //[nchan]
   Float_t         xbeam[5];
   Float_t         ybeam[5];

//List of branches
   TBranch        *b_evtno;   //!
   TBranch        *b_trig;   //!
   TBranch        *b_nchan;   //!
   TBranch        *b_signal;   //!
   TBranch        *b_xbeam;   //!
   TBranch        *b_ybeam;   //!

   EmecEventNTup2002v0(TTree *tree=0,string fileName=0);
   ~EmecEventNTup2002v0();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);
};

#endif

#ifdef EmecEventNTup2002v0_cxx
EmecEventNTup2002v0::EmecEventNTup2002v0(TTree *tree,string fileName)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   TFile *f ;
   if (tree == 0) {
         f = new TFile(fileName.c_str());

      tree = (TTree*)f->Get("h201");

   }
   Init(tree);
}

EmecEventNTup2002v0::~EmecEventNTup2002v0()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t EmecEventNTup2002v0::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t EmecEventNTup2002v0::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void EmecEventNTup2002v0::Init(TTree *tree)
{
//   Set branch addresses
   if (tree == 0) return;
   fChain    = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("evtno",&evtno);
   fChain->SetBranchAddress("trig",trig);
   fChain->SetBranchAddress("nchan",&nchan);
   fChain->SetBranchAddress("signal",signal);
   fChain->SetBranchAddress("xbeam",xbeam);
   fChain->SetBranchAddress("ybeam",ybeam);
   Notify();
}

Bool_t EmecEventNTup2002v0::Notify()
{
   // Called when loading a new file.
   // Get branch pointers.
   b_evtno = fChain->GetBranch("evtno");
   b_trig = fChain->GetBranch("trig");
   b_nchan = fChain->GetBranch("nchan");
   b_signal = fChain->GetBranch("signal");
   b_xbeam = fChain->GetBranch("xbeam");
   b_ybeam = fChain->GetBranch("ybeam");
   return kTRUE;
}

void EmecEventNTup2002v0::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t EmecEventNTup2002v0::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef EmecEventNTup2002v0_cxx

