#include "HecEvent.h"

HecEvent::HecEvent()
{
}

bool HecEvent::addHecCell(HecCell hecCell){
  m_cellVector.push_back(hecCell);
  return true;
}


HecCell* HecEvent::hecCell(int adcNumber){
  if(adcNumber >= 1&& adcNumber <= m_cellVector.size()){
   return  &m_cellVector[adcNumber-1]; // note that we are returning a pointer to the cell
  } else {
    cout << "Cell accessed out of bounds; cell number: "
              << adcNumber << endl;
  }
}

void HecEvent::clearCells()
{
  m_cellVector.clear();
  m_hecTriggerVector.clear();
}

int HecEvent::numCells(){
  return m_cellVector.size();
}

const vector<HecCell>* HecEvent::hecCellsPointer(){
  return &m_cellVector;
}

//note this method will crash if the length of the hecTrigger array changes
void HecEvent::setHecTrigger(unsigned int hecTriggerArray[5]){
  for(int i = 0; i < 5; i++){
    m_hecTriggerVector.push_back(hecTriggerArray[i]);
  }
  processTrigger();
}

int HecEvent::getTriggerBit(int bit){
  if(bit >= 0 && bit <=4){
    return m_hecTriggerVector[bit];
  } else {
    cout << "Trigger bits accessed out of bounds at:  "
          << bit << endl;
  }
}

void HecEvent::processTrigger(){
  if(m_hecTriggerVector[4]){
    m_isRandom =true;
  } else {
    m_isRandom = false;
  }
  if(m_hecTriggerVector[3]) {
    m_isMuon = true;
  } else {
    m_isMuon = false;
  }
}

